import { AxiosInstance, AxiosResponse } from "axios";
import HttpServiceInterface from "./HttpServiceInterface";
import ApplicationInterface from "../foundation/ApplicationInterface";
import HttpMiddlewareInterface from "./interfaces/HttpMiddlewareInterface";
export default class AxiosHttpService implements HttpServiceInterface {
    protected middleware: {};
    protected axios: AxiosInstance;
    protected app: ApplicationInterface;
    constructor(app: ApplicationInterface, configService: any);
    delete(url: string, config?: {}): Promise<AxiosResponse<any>>;
    get(url: string, config?: {}): Promise<AxiosResponse<any>>;
    head(url: string, config?: {}): Promise<AxiosResponse<any>>;
    options(url: string, config?: {}): any;
    post(url: string, data: object, config?: {}): Promise<AxiosResponse<any>>;
    put(url: string, data: object, config?: {}): Promise<AxiosResponse<any>>;
    patch(url: string, data: object, config?: {}): Promise<AxiosResponse<any>>;
    request(config?: {}): Promise<AxiosResponse<any>>;
    registerMiddleware(Middleware: new () => HttpMiddlewareInterface): void;
    unregisterMiddleware(Middleware: new () => HttpMiddlewareInterface): void;
}
