declare const _default: {
    rules: {
        accepted: {
            passes(value: any): boolean;
        };
        after: {
            passes(value: any, parameters: any[]): boolean;
            replacers(): string[];
        };
        after_or_equal: {
            passes(value: any, parameters: any[]): boolean;
            replacers(): string[];
        };
        alpha: {
            passes(value: any): boolean;
        };
        alpha_num: {
            passes(value: any): boolean;
        };
        array: {
            passes(value: any): boolean;
        };
        before: {
            passes(value: any, parameters: any[]): boolean;
            replacers(): string[];
        };
        before_or_equal: {
            passes(value: any, parameters: any[]): boolean;
            replacers(): string[];
        };
        between: {
            passes(value: {
                size: number;
            }, parameters: number[]): boolean | undefined;
            replacers(): string[];
        };
        boolean: {
            passes(value: any): boolean;
        };
        confirmed: {
            passes(value: any, parameters: any[], formData: object, currentField: any): boolean;
        };
        date: {
            passes(value: any): boolean | undefined;
        };
        different: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        email: {
            passes(value: any): boolean;
        };
        image: {
            passes(files: File | File[]): boolean;
            replacers(): string[];
        };
        integer: {
            passes(value: any): boolean;
        };
        max: {
            passes(value: {
                size: number;
            }, attributes: any[]): boolean;
            replacers(): string[];
        };
        mimetypes: {
            passes(files: File | File[], parameters: any[]): boolean;
            replacers(): string[];
        };
        min: {
            passes(value: {
                size: number;
            }, attributes: any[]): boolean;
            replacers(): string[];
        };
        nullable: {
            passes(value: any): boolean;
        };
        numeric: {
            passes(value: any): boolean;
        };
        regex: {
            passes(value: any, parameters: any[]): boolean;
        };
        required: {
            passes(value: any): boolean;
        };
        required_if: {
            passes(value: any, parameters: any, data: {}): boolean;
            replacers(): string[];
        };
        required_unless: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        required_with: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        required_with_all: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        required_without: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        required_without_all: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        same: {
            passes(value: any, parameters: any[], data: {}): boolean;
            replacers(): string[];
        };
        size: {
            passes(value: {
                size: number;
            }, attributes: any[]): boolean;
            replacers(): string[];
        };
        string: {
            passes(value: any): boolean;
        };
        url: {
            passes(value: any): boolean;
        };
    };
};
export default _default;
